Bug Hunting Session
Bug 44565 - Desktop folder is deleted during Uninstall
Summary: Desktop folder is deleted during Uninstall
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Installation (show other bugs)
Version:
(earliest affected)
3.4.5 release
Hardware: x86 (IA32) Windows (All)
: medium major
Assignee: Andras Timar
URL:
Whiteboard: target:3.7.0
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-07 14:31 UTC by Pedro
Modified: 2012-09-12 16:10 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Pedro 2012-01-07 14:31:06 UTC
If the user checked the "Create a start link on desktop" option during install, when LO is uninstalled, if it is the only item in the Desktop folder (either All Users or under his profile) the Desktop folder itself is deleted. 

Deleting the containing folder when the folder is empty is ok for the Start Menu group, but not for the Desktop folder.
Comment 1 sasha.libreoffice 2012-05-07 06:13:15 UTC
Thanks for bugreport
Please, verify if in last version of LibreOffice still reproducible
Comment 2 Not Assigned 2012-09-12 16:10:26 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=11b85ee29966df2e4942e236a629205f4280930b

fdo#44565 do not delete empty Desktop folder on uninstall



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.